Bug 853080 - repo group update --display-name option can not be updated
repo group update --display-name option can not be updated
Status: CLOSED CURRENTRELEASE
Product: Pulp
Classification: Community
Component: user-experience (Show other bugs)
2.0.6
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Sprint 40
Assigned To: Jay Dobies
Preethi Thomas
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-30 09:04 EDT by Preethi Thomas
Modified: 2013-09-09 12:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-09 12:04:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Preethi Thomas 2012-08-30 09:04:52 EDT
Description of problem:

If you try to update --display-name for repo group, you get an invalid property error.

Version-Release number of selected component (if applicable):
[root@pulp-candidate ~]# rpm -q pulp-rpm-server
pulp-rpm-server-2.0.1-1.fc17.noarch
[root@pulp-candidate ~]# 


How reproducible:


Steps to Reproduce:
1. create a repo group 
2. tru to do repo group update with --display-name option
3.
  
Actual results:

[root@pulp-candidate ~]# pulp-admin repo group update --group-id test-grp2 --display-name "tests-grp2"
The values for the following properties were invalid: display-name


Expected results:


Additional info:

From pulp.log


2012-08-30 09:04:19,309 26465:140339188852480: pulp.server.dispatch.task:ERROR: task:133 Invalid properties: [u'display-name']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp/server/dispatch/task.py", line 130, in _run
    result = call(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/server/managers/repo/group/cud.py", line 83, in update_repo_group
    raise pulp_exceptions.InvalidValue(list(invalid_keywords))
InvalidValue: Invalid properties: [u'display-name']
2012-08-30 09:04:19,311 26465:140339188852480: pulp.server.dispatch.task:INFO: task:163 Task 35b8be47-f2a3-11e1-9947-5452003c7b52: CallRequest: RepoGroupManager.update_repo_group(u'test-grp2', display-name=u'tests-grp2') FAILED
2012-08-30 09:04:19,381 26465:140339197245184: pulp.server.webservices.middleware.exception:ERROR: exception:46 Invalid properties: [u'display-name']
Traceback (most recent call last):
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/middleware/exception.py", line 44, in __call__
    return self.app(environ, start_response)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/middleware/postponed.py", line 38, in __call__
    return self.app(environ, start_response)
  File "/usr/lib/python2.7/site-packages/web/application.py", line 277, in wsgi
    result = self.handle_with_processors()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 28, in _handle_with_processors
    return process(self.processors)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/web/application.py", line 555, in processor
    return handler()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/web/application.py", line 570, in processor
    result = handler()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 27, in process
    return self.handle()
  File "/usr/lib/python2.7/site-packages/web/application.py", line 228, in handle
    return self._delegate(fn, self.fvars, args)
  File "/usr/lib/python2.7/site-packages/web/application.py", line 411, in _delegate
    return f()
  File "/usr/lib/python2.7/site-packages/web/application.py", line 419, in <lambda>
    f = lambda: self._delegate_sub_application(pat, what)
  File "/usr/lib/python2.7/site-packages/web/application.py", line 444, in _delegate_sub_application
    return app.handle_with_processors()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 28, in _handle_with_processors
    return process(self.processors)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/web/application.py", line 555, in processor
    return handler()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in process
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/web/application.py", line 570, in processor
    result = handler()
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 25, in <lambda>
    return p(lambda : process(processors))
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/application.py", line 27, in process
    return self.handle()
  File "/usr/lib/python2.7/site-packages/web/application.py", line 228, in handle
    return self._delegate(fn, self.fvars, args)
  File "/usr/lib/python2.7/site-packages/web/application.py", line 394, in _delegate
    return handle_class(f)
  File "/usr/lib/python2.7/site-packages/web/application.py", line 385, in handle_class
    return tocall(*args)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/decorators.py", line 138, in _auth_decorator
    value = method(self, *args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/server/webservices/controllers/repo_groups.py", line 120, in PUT
    group = execution.execute(call_request)
  File "/usr/lib/python2.7/site-packages/pulp/server/dispatch/task.py", line 130, in _run
    result = call(*args, **kwargs)
  File "/usr/lib/python2.7/site-packages/pulp/server/managers/repo/group/cud.py", line 83, in update_repo_group
    raise pulp_exceptions.InvalidValue(list(invalid_keywords))
InvalidValue: Invalid properties: [u'display-name']
Comment 1 Jay Dobies 2012-10-05 13:32:30 EDT
Merge pull request #93 from pulp/jdob-853080

853080 - Client should translate arg display-name to server

commit bfdab3b866cb03be4fa3903dab1e42fd329e4997
Comment 2 Jeff Ortel 2012-10-05 17:43:10 EDT
build: 0.331
Comment 3 Preethi Thomas 2012-10-11 10:38:19 EDT
[root@pulp-master ~]# rpm -q pulp-rpm-server
pulp-rpm-server-0.0.331-1.fc17.noarch
[root@pulp-master ~]# 


[root@pulp-master ~]# pulp-admin repo group create --group-id pulp 
Repository Group [pulp] successfully created


[root@pulp-master ~]# pulp-admin repo group update --group-id pulp --display-name "pulp"
Repo group [pulp] successfully updated

[root@pulp-master ~]#
Comment 4 Preethi Thomas 2013-01-09 12:04:57 EST
Pulp v2.0 released

Note You need to log in before you can comment on or make changes to this bug.